local wezterm = require("wezterm")

local function startup()
	local mux = wezterm.mux
	local project_dir = wezterm.home_dir .. "/Documents/projects/infra"

	-- Spawn a new window with the specified project directory as the working directory
	local tab, main_pane, window = mux.spawn_window({
		cwd = project_dir,
	})
	main_pane:send_text("vim .\n")

	-- Split the main pane to the right and start ipython
	local ssh_pane = main_pane:split({
		direction = "Right",
		cwd = project_dir,
	})
	ssh_pane:send_text("wezterm ssh ansible@jfraeys.com\n")

	-- Split the ipython pane downward for running other commands
end

return {
	startup = startup,
}
